For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList catalog brands
        • GETList catalog brand models
        • GETGet catalog brand model
Dashboard
LogoLogo
OCPPLAB Gateway APICore ResourcesCatalog

List catalog brands

||View as Markdown|
GET
https://host.com/ocpp/catalog/brands
GET
/ocpp/catalog/brands
1import requests
2
3url = "https://host.com/ocpp/catalog/brands"
4
5querystring = {"page":"1","limit":"10"}
6
7headers = {"Authorization": "Bearer <token>"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
1{
2 "data": [
3 {
4 "id": "550e8400-e29b-41d4-a716-446655440001",
5 "slug": "wallbox",
6 "name": "Wallbox",
7 "image_url": "https://example.com/wallbox.svg",
8 "created_at": "2026-03-01T09:00:00Z"
9 },
10 {
11 "id": "550e8400-e29b-41d4-a716-446655440010",
12 "slug": "abb",
13 "name": "ABB",
14 "image_url": "https://example.com/abb.svg",
15 "created_at": "2026-03-02T09:00:00Z"
16 }
17 ],
18 "total": 14,
19 "page": 1,
20 "limit": 20
21}
Retrieve the catalog of charger brands available to the platform.
Was this page helpful?
Next

List catalog brand models

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional>=1Defaults to 1
Page number for the paginated brand catalog.
limitintegerOptional1-100Defaults to 20
Maximum number of brands returned in one page.

Response

Catalog brands retrieved successfully
datalist of objects
totalinteger
pageinteger
limitinteger

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error